<?
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

require_once "fortunes_common.inc";

/*----------------------------------------*/
$ff=isset($_POST['ff'])?$_POST['ff']:-1;
$ffcat=isset($_POST['ffcat'])?$_POST['ffcat']:-1;
$selCat=isset($_POST['cat'])?$_POST['cat']:-1;
$rot=isset($_POST['rot']);
$newcat=isset($_POST['newcat'])?trim($_POST['newcat']):"";
/*----------------------------------------*/
$files=getDirList("./files");
/*----------------------------------------*/
if (isset($_POST['category_adm']))
{
	if (isset($_POST['add']) && isset($_POST['newcat']))
	{
		
		if ($newcat!="" && insertCategory($newcat) )
		{
			$message="Category '".$newcat."' created.";
		}
		else
		{
			$message="Error cannot add an empty category name";
		}
	}
	else if (isset($_POST['cat']))
	{
		if (isset($_POST['delete']))
		{
			deleteCategory($selCat);
			$message="Category deleted.";

		}
		else if (isset($_POST['purge']))
		{
			purgeCategory($selCat);
			$message="Category purged.";
		}
		else if (isset($_POST['switch']))
		{
			switchCategory($selCat);
			$message="Category Switched";	
		}
	}
	else
	{
		$message="if you want to made an action on a category, you should select one...";	
	}
}
else if (isset($_POST['fortune_file_adm']) && isset($_POST['insert']) )
{
	if (isset($_POST['ff']) && isset($_POST['ffcat']) )
	{
		$filename=$files[$ff];
		$fortunes = parse_fortune($filename,$rot);
		insertFortunesIntoCategory($ffcat,$fortunes);	
		$message="Fortunes iserted into Category";
	}
	else
	{
		$message="Cannot insert Fortunes : a parameter is missing";
	}
}

/*----------------------------------------*/
$catList=selectCategories();
/*----------------------------------------*/
opentable("Fortune Files Management");
	$keys=array_keys($files);
	
	echo "<table cellpadding='5' width='100%'><tr><td>";
	echo "<form name='fortune_file_adm' method='post' action='".FUSION_SELF."'>";
	echo "<input type='hidden' name='fortune_file_adm' value='true' />";
	echo "<fieldset>";
	echo "<label>Fortune file :</label>";
	echo "<select name='ff' class='textbox'>";
	foreach($keys as $indx)
	{
		echo "<option value='".$indx."'".(($ff!=$indx)?"":" selected ").">".$files[$indx]."</option>";
	}
	echo "</select>&nbsp;";
	echo "<input type='submit' name='view' value='View Fortune' class='button'/>";
	echo "</fieldset><br />";
	echo "<fieldset>";
	echo "<label>Insert file into Category :</label>";
	echo "<select name='ffcat' class='textbox'>";
	foreach($catList as $aCateg)
	{
		echo "<option value='".$aCateg->pk."'".(($ffcat!=$aCateg->pk)?"":" selected ").">".$aCateg->name."</option>";
	}
	echo "</select>&nbsp;";
	echo "<input type='submit' name='insert' value='Insert Fortune' class='button'/><br />";
	echo "</fieldset><br />";
	echo "<input type='checkbox' name='rot'".($rot?" checked ":"")."'/><label>file is Rot13 encoded (usual for some 'offensive' fortune files)</label><br />";
	echo "</form>";
	echo "</td></tr>";
	echo "</table>";
	echo "<div class='side-label'>don't even try to feed me another thing than a good ol' unix fortune file, there is no real checks so far...</div>";
closetable();
echo "<br />";


opentable("Category Management");
	echo "<table cellpadding='5' width='100%'><tr><td>";
	echo "<form name='category_adm' method='post' action='".FUSION_SELF."'>";
	echo "<input type='hidden' name='category_adm' value='true' />";
	echo "<fieldset>";
	echo "<table width='100%' >";
	echo "<thead class='tbl-border'>";
	echo "<tr>";
	echo "<td width='3%'>&nbsp;</td>";
	echo "<td>Name</td>";
	echo "<td>Fortunes Count</td>";
	echo "<td>Is Active ?</td>";
	echo "</tr>";
	echo "</thead>";
	echo "<tbody>";
	foreach($catList as $aCateg)
	{
		echo "<tr>";
		echo "<td><input type='radio' name='cat' value='".$aCateg->pk."' ".($aCateg->pk==$selCat?"checked":"")." /></td>";
		echo "<td>".$aCateg->name."</td>";
		echo "<td>".$aCateg->fortunes."</td>";
		echo "<td>".($aCateg->active==1?"yes":"no")."</td>";
		
		echo "</tr>";
	}
	echo "</tbody>";
	echo "</table>";
	echo "<input type='submit' name='view' value='View Category' class='button' />&nbsp;";
	echo "<input type='submit' name='switch' value='Switch Status' class='button' />&nbsp;";
	echo "<input type='submit' name='purge' value='Purge Category' class='button' OnClick='return confirm(\"Are you sure that you want to purge this category ?\");' />&nbsp;";
	echo "<input type='submit' name='delete' value='Delete Category' class='button' OnClick='return confirm(\"Are you sure that you want to delete this category ?\");' />";
	echo "</fieldset><br />";
	echo "<fieldset>";
	echo "<label>New Category : </label><input type='text' name='newcat' class='textbox'/>&nbsp;";
	echo "<input type='submit' name='add' value='Add Category' class='button'>";
	echo "</fieldset>";
	echo "</form>";
	echo "</td></tr>";
	echo "</table>";
closetable();
echo "<br />";

if (isset($_POST['fortune_file_adm']))
{
	if (isset($_POST['view']))
	{
		if (isset($_POST['ff']))
		{
			$filename=$files[$ff];
			opentable("Selected File : ".$filename);
			$fortunes = parse_fortune($filename,$rot);
			echo "<table cellpadding='5' width='100%'>";
			foreach ($fortunes as $item)
			{
				if (trim($item)!="")
				{echo "<tr><td><span>".$item."</span><hr /></td></tr>";}
			}
			echo "</table>";
			closetable();
		}
	}
}

if (isset($_POST['category_adm']) || isset($_POST['fortune_file_adm']) || isset($_POST['fortune_adm']) )
{
	
	if (isset($_POST['insert']) || isset($_POST['add']) || isset($_POST['delete']) || isset($_POST['purge']) || isset($_POST['switch']))
	{
		opentable("Action Result");
		echo $message;
		closetable();
	}
	else if (isset($_POST['view']) && isset($_POST['cat']))
	{
		opentable("Category view");
		$fortunes=selectFortunesByCategory($cat);
		echo "<table cellpadding='5' width='100%'>";
		foreach ($fortunes as $item)
		{
			echo "<tr><td><span>".$item->text."</span><hr /></td></tr>";
		}
		echo "</table>";
		closetable();
	}
	
}
echo "</td>\n";
require_once BASEDIR."footer.php";
?>
